import { AbortException, TextLayer } from '../../pdfjs';
import { TextAccessibilityManager } from './text-accessibility-manager';
import { LayerBuilder } from './layer-builder';
export declare class TextLayerBuilder extends LayerBuilder {
    div: HTMLDivElement;
    readonly textAccessibilityManager: TextAccessibilityManager;
    private renderingDone;
    private _textLayer?;
    private static textLayers;
    private static selectionChangeAbortController?;
    get textLayer(): TextLayer | undefined;
    get enablePermissions(): boolean;
    canRegister(): boolean;
    stopOnException(ex: any): ex is AbortException;
    render(postponeDrawing?: boolean): Promise<void>;
    hide(): void;
    show(): void;
    cancel(): void;
    private bindMouse;
    private static removeGlobalSelectionListener;
    private static enableGlobalSelectionListener;
}
